API documentation | API docs for agents | OpenAPI 3.1

POST /api/v1/loads/{loadId}/billing/undeliver

ark.undeliver_billing_load

Moves a delivered load back out of Billing when billing state is still unadvanced.

Availability
Expanded preview
Scopes
loads:readbilling:write
ARK permissions
canViewLoadscanViewBillingcanMakeAdjustments
Team visibility
Required and enforced
Idempotency-Key
Required for this write
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

loadIdpathstringrequired
format: uuid
Idempotency-Keyheaderstringrequired
Required for external write operations. Reuse the same key only for exact retries of the same request.
min length: 1; max length: 200

Request body

None.

Example request

Shell
curl -X POST 'https://arktms.com/api/v1/loads/<loadId>/billing/undeliver' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Idempotency-Key: <unique-key>"

Success response

Moved load back out of Billing

objectstringrequired
okbooleanrequired
api_versionstringrequired
request_idstringrequired

Errors

No operation-specific error responses.